<template>
  <div class="settings-container">
    <div class="title">Лидтайм на назначение ресурса</div>
    <div class="input-row">
      <ObInput
        label="Назначение"
        :value="settings.resourceAssignmentLeadTime / MINUTES_IN_HOURS"
        sub-title="ч"
        class="input-row__left"
        @blur="onSaveField('resourceAssignmentLeadTime', $event)"
      />
      <div class="description">Исполнитель должен назначить ресурс в течение этого времени</div>
    </div>
    <div class="title">Лидтайм на подачу порожнего ТС</div>
    <div class="input-row">
      <ObInput
        label="Подача порожнего"
        :value="settings.emptySupplyLeadTime / MINUTES_IN_HOURS"
        sub-title="ч"
        class="input-row__left"
        @blur="onSaveField('emptySupplyLeadTime', $event)"
      />
      <div class="description">Время для подачи исполнителем порожнего ТС на точку первой погрузки</div>
    </div>
    <div class="title">Лидтайм упреждения</div>
    <div class="input-row">
      <ObInput
        label="Лидтайм"
        :value="settings.arrivalLeadTime / MINUTES_IN_HOURS"
        sub-title="ч"
        class="input-row__left"
        @blur="onSaveField('arrivalLeadTime', $event)"
      />
    </div>
    <div class="title">Лидтайм на подписание заявки</div>
    <div class="input-row">
      <ObInput
        label="Лидтайм"
        :value="settings.docSigningLeadTime / MINUTES_IN_HOURS"
        sub-title="ч"
        class="input-row__left"
        @blur="onSaveField('docSigningLeadTime', $event)"
      />
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import ObInput from "common-components/src/obComponents/obInput";

export default {
  name: 'ClicarSettingsAutosearchResourcesSettings',
  components: {
    ObInput
  },
  props: {
    settings: {
      type: Object,
      required: true
    }
  },
  methods: {
    ...mapActions({
      getAutosearchSettings: 'clicarSettings_3/getAutosearchSettings'
    }),
    onSaveField (path, event) {
      let value = event.target ? event.target.value : event

      this.$emit('on-save-field', { path, value })
    }
  },
  computed: {
    MINUTES_IN_HOURS () {
      return 60
    },
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.settings-container {
  max-width: 700px;
}

.title {
  margin-top: 30px;
  margin-bottom: 10px;
  @include font-mixin(16px,20px, 700, $color-text-base, 0.4px);
}

.description {
  @include font-mixin(14px, 18px, 400, $color-grey-label);
}

.input-row {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  &__left {
    flex-shrink: 0;
    width: 270px;
    margin-right: 10px;
  }
}
</style>